MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023944Community[OCCT] OCCT:Shape Healingpublic2013-05-03 18:402013-12-19 13:55
ReporterRoman Lygin 
Assigned ToRoman Lygin 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0023944: Typo in ShapeCustom_RestrictionParameters leading to wrong approximation results
DescriptionThe constructor mismatches initialization of two parameters - max degree and segment number.
Steps To ReproduceSee enclosed reproducer - use DRAWEXE in debug mode.
TagsNo tags attached.
Test case numberbugs heal(017) bug23944
Attached Fileszip file icon rep.zip (29,675 bytes) 2013-05-03 18:40

- Relationships

-  Notes
(0024309)
Roman Lygin (developer)
2013-05-03 18:42

The fix pushed into the git repository
(0024310)
gka (developer)
2013-05-06 10:59

Branch CR23944 is ready to be tested
(0024486)
mkv (tester)
2013-05-23 12:21

Dear gka,
after this fix the message in debug mode is:

iteration = 2 error = 9.37294433115968e-005 spans = 90
Surface is aproximated with continuity 0

Is it good?
(0024489)
gka (developer)
2013-05-23 13:38

Yes it is good
(0024525)
gka (developer)
2013-05-27 16:21

Branch CR23944 is ready to be tested
(0024543)
mkv (tester)
2013-05-29 15:34

Dear BugMaster,

Branch CR23944 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: c1042c7e14e9ce620fa9ee465ee453522b84dd44

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 64 (64 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
bugs heal(017) bug23944 - OK.

Testing on Linux:
Total MEMORY difference: 366030288 / 365861168
Total CPU difference: 41746.040000000925 / 45787.35000000135

Testing on Windows:
Total MEMORY difference: 398544248 / 400955196
Total CPU difference: 30177.078125 / 27705.875

There are not differences in images found by testdiff.

- Related Changesets
occt: master 416d0127
Timestamp: 2013-05-31 12:58:07
Author: Roman Lygin
Details ] Diff ]
0023944: Typo in ShapeCustom_RestrictionParameters leading to wrong approximation results
Add test case for this fix
mod - src/ShapeCustom/ShapeCustom_RestrictionParameters.cxx Diff ] File ]
add - tests/bugs/heal/bug23944 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-05-03 18:40 Roman Lygin New Issue
2013-05-03 18:40 Roman Lygin Assigned To => gka
2013-05-03 18:40 Roman Lygin File Added: rep.zip
2013-05-03 18:42 Roman Lygin Note Added: 0024309
2013-05-03 18:42 Roman Lygin Status new => resolved
2013-05-06 10:59 gka Note Added: 0024310
2013-05-06 10:59 gka Status resolved => reviewed
2013-05-23 12:21 mkv Note Added: 0024486
2013-05-23 12:22 mkv Status reviewed => feedback
2013-05-23 13:38 gka Note Added: 0024489
2013-05-27 15:47 gka Assigned To gka => mkv
2013-05-27 16:21 gka Note Added: 0024525
2013-05-27 16:21 gka Status feedback => reviewed
2013-05-27 16:22 gka Status reviewed => feedback
2013-05-29 15:34 mkv Note Added: 0024543
2013-05-29 15:35 mkv Test case number => bugs heal(017) bug23944
2013-05-29 15:35 mkv Assigned To mkv => bugmaster
2013-05-29 15:35 mkv Status feedback => tested
2013-05-30 13:55 bugmaster Target Version => 6.7.0
2013-06-03 14:48 Roman Lygin Changeset attached => occt master 416d0127
2013-06-03 14:48 Roman Lygin Assigned To bugmaster => Roman Lygin
2013-06-03 14:48 Roman Lygin Status tested => verified
2013-06-03 14:48 Roman Lygin Resolution open => fixed
2013-12-19 13:53 bugmaster Status verified => closed
2013-12-19 13:55 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker